#include "stdafx.h"

// Main function for test setup
int main(int argc, char** argv) {
  ::testing::InitGoogleTest(&argc, argv);

  // Get a checkpoint of the memory after Google Test has been initialized.
  _CrtMemState memoryState = { 0 };
  _CrtMemCheckpoint(&memoryState);

  const auto retval = RUN_ALL_TESTS();

  // Check for leaks after tests have run
  _CrtMemDumpAllObjectsSince(&memoryState);

  return retval;
}